cobbler_web unavailable on CentOS 7.6

mr.zog asked:

When I try to load the cobbler 2.8.4 web page I see the below error in /var/log/httpd/ssl_error_log

Traceback (most recent call last):
File "/usr/share/cobbler/web/cobbler.wsgi", line 26, in application
_application = get_wsgi_application()
File "/usr/lib/python2.7/site-packages/django/core/wsgi.py", line 13, in get_wsgi_application
django.setup(set_prefix=False)
File "/usr/lib/python2.7/site-packages/django/__init__.py", line 22, in setup
configure_logging(settings.LOGGING_CONFIG, settings.LOGGING)
File "/usr/lib/python2.7/site-packages/django/conf/__init__.py", line 56, in __getattr__
self._setup(name)
File "/usr/lib/python2.7/site-packages/django/conf/__init__.py", line 41, in _setup
self._wrapped = Settings(settings_module)
File "/usr/lib/python2.7/site-packages/django/conf/__init__.py", line 110, in __init__
mod = importlib.import_module(self.SETTINGS_MODULE)
File "/usr/lib64/python2.7/importlib/__init__.py", line 37, in import_module
__import__(name)
File "/usr/share/cobbler/web/settings.py", line 89, in <module>
from django.conf.global_settings import TEMPLATE_CONTEXT_PROCESSORS
ImportError: cannot import name TEMPLATE_CONTEXT_PROCESSORS

python2-django-1.11.20-1.el7.noarch
cobbler-2.8.4-4.el7.x86_64
cobbler-web-2.8.4-4.el7.noarch

My answer:


It looks like Django has been updated in EPEL to 1.11, which made some changes in how context processors are handled. The code cobbler is trying to call here was deprecated and removed from Django some time ago, so cobbler needs to be updated. File a bug report against cobbler in Red Hat Bugzilla.


View the full question and any other answers on Server Fault.

Creative Commons License
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.